            .social-icons {
                position: fixed;
                top: 50%;
                left: 0;
                transform: translateY(-50%);
                display: flex;
                flex-direction: column;
                align-items: center;
                gap: 0px;
                padding: 10px 0;
                z-index: 9655454646464645455545454545454545454545454 !important;
            }

            .social-icons a {
                color: #fff;
                font-size: 20px;
                width: 30px;
                height: 30px;
                display: flex;
                justify-content: center;
                align-items: center;
                text-decoration: none;
                background-color: #000;
                /* Default background color */
                transition: all 0.3s ease;
            }

            .social-icons a:nth-child(1) {
                background-color: #3b5998;
                /* Facebook color */
            }

            .social-icons a:nth-child(2) {
                background-color: #0077b5;
                /* LinkedIn color */
            }

            .social-icons a:nth-child(3) {
                background-color: #e4405f;
                /* Instagram color */
            }

            .social-icons a:nth-child(4) {
                background-color: #333;
                /* GitHub color */
            }

            .social-icons a:nth-child(5) {
                background-color: #d44638;
                /* Email color */
            }

            .social-icons a:nth-child(6) {
                background-color: #25d366;
                /* Phone color */
            }

            .social-icons a:hover {
                transform-origin: center left;
                transform: scale(1.5);
            }
/*for if external anchor link does not work for using barba js and gsap*/
.social-icons a {
    pointer-events: auto !important;
                            /* Ensure links are clickable */
}